# Changelog

All notable changes to this project will be documented in this file.
This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v3-10-0] [r4-23-0] - 2020-05-22

[#19221] Ported to git/jenkins

**Fixes**

[#19312] the WorkspaceExplorer window appears behind the Job Window (z-index issue)



## [3-9-1] - [20-03-2017]

[Bug #7568] Managed ASL session expiration during polling on SPD jobs



## [3-9-0] - [11-01-2016]

[Feature #6313] SPD portlet upgrade: porting to spd-client-library 4.0.0

[Task #7001] Create Gis Layer via job



## [3-8-1] - [15-09-2016]

Removed Gis -viewer dependency



## [3-8-0] - [15-05-2015]

Upgraded to gwt 2.6.1

Integrated with Workspace Explorer

Updated to Liferay 6.2



## [3-7-2] - [15-05-2015]

Changed dateformat at dd-MM-yyyy



## [3-7-1] - [09-12-2014]

Removed openlayers dependency from pom



## [3-7-0] - [04-06-2014]

Updated pom to support new portal configuration (gcube release 3.2)



## [3-6-0] - [23-04-2014]

Portlet updated to support service updating



## [3-5-0] - [24-10-2013]

Portlet updated to support GWT 2.5.1

Ticket 2224: was implemented



## [3-4-0] - [06-09-2013]

Enhancements on GUI of SPD portlet was realized (view last query, new expand button are available)

The functionalities was updated in order to fit the changes in the service client. New advanced options are now available: "Expand with synonyms", "Unfold the taxa group by".



## [3-3-0] - [09-07-2013]

Bug Fixed: on species classification



## [3-2-0] - [29-05-2013]

Bug Fixed: #612 (SPD: Error when saving csv file in workspace)



## [3-1-0] - [14-04-2013]

Synch with SPD service changes



## [3-0-0] - [05-03-2013]

Ticket #1260: This component has been mavenized



## [2-3-0] - [17-01-2013]

Ticket #986: Species Occurrence jobs / Re-submit job and "info"

Ticket #1002: SPD portlet persistence refactoring



## [2-2-0] - [30-11-2012]

Ticket #508: Implementation of requirements resulting from ticket #508



## [2-0-0] - [13-09-2012]

Ticket #81: Implementation of requirements resulting from user feedback

Dynamic clustering of result set items

Revised the occurrence points visualization strategy through the GIS Viewer



## [1-0-1] - [23-07-2012]

Fixed 447: Map generation fails in Species Discovery Portlet



## [1-0-0] - [04-05-2012]

First release


